ICU 74.1 74.1

Data Structures | Namespaces
ParagraphLayout.h File Reference

C++ API: Paragraph Layout. More...

`#include "unicode/uscript.h"`
`#include "layout/LETypes.h"`
`#include "layout/LEFontInstance.h"`
`#include "layout/LayoutEngine.h"`
`#include "unicode/ubidi.h"`
`#include "unicode/brkiter.h"`
`#include "layout/RunArrays.h"`

Go to the source code of this file.

## Data Structures
class | icu::ParagraphLayout
| ParagraphLayout. More...
class | icu::ParagraphLayout::Line
| This class represents a single line of text in a `ParagraphLayout`. More...
class | icu::ParagraphLayout::VisualRun
| This object represents a single visual run in a line of text in a paragraph. More...

## Namespaces
| icu
| File coll.h.

## Detailed Description

C++ API: Paragraph Layout.

Definition in file ParagraphLayout.h.